%define soprano_version 2.7
%define upstream_name akonadi

%define rel 30

Name: kde4-akonadi
Summary: An extensible cross-desktop storage service for PIM
Version: 1.13.0
Release: %mkrel %{rel}
Epoch: 1
Url: http://pim.kde.org/akonadi/
License: LGPLv2+
Group: Networking/WWW
Source0: https://download.kde.org/stable/akonadi/src/%{upstream_name}-%{version}.tar.bz2

BuildRequires: pkgconfig(QtCore) < 5.0.0
BuildRequires: shared-mime-info >=  0.20
BuildRequires: pkgconfig(soprano) >= %{soprano_version}
BuildRequires: pkgconfig(sqlite3)
BuildRequires: cmake
BuildRequires: libxslt-proc
BuildRequires: libxml2-utils
BuildRequires: automoc
BuildRequires: mysql-devel
BuildRequires: postgresql-devel-virtual
BuildRequires: boost-devel
Requires: qt4-database-plugin-mysql
Requires: mysql-core
Requires: mysql-common
# Needed for mysqlcheck  which is used in akonadi
Requires: mysql-client

Conflicts: akonadi > 1:15.07

%description
An extensible cross-desktop storage service for PIM data and meta data
providing concurrent read, write, and query access.

%files
%doc README
%{_bindir}/*
%dir %{_sysconfdir}/akonadi
%config %{_sysconfdir}/akonadi/mysql-global-mobile.conf
%config %{_sysconfdir}/akonadi/mysql-global.conf
%dir %{_libdir}/%{upstream_name}
%{_datadir}/dbus-1/services/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/mime/packages/akonadi-mime.xml
%{_libdir}/plugins/sqldrivers/libqsqlite3.so

#------------------------------------------------------------------------------

%define akonadiprotocolinternals_major 1
%define libakonadiprotocolinternals %mklibname akonadiprotocolinternals %{akonadiprotocolinternals_major}

%package -n     %libakonadiprotocolinternals
Summary:        Akonadi runtime library
Group:          System/Libraries

%description -n %libakonadiprotocolinternals
%{upstream_name} library.

%files -n %libakonadiprotocolinternals
%_libdir/libakonadiprotocolinternals.so.%{akonadiprotocolinternals_major}*

#------------------------------------------------------------------------------

%define akonadi_devel %mklibname akonadi -d

%package   -n %akonadi_devel
Summary:   Devel stuff for %{upstream_name}
Group:     Development/KDE and Qt
Requires:  %{name} = %epoch:%version-%release
Requires:  %libakonadiprotocolinternals = %epoch:%version-%release

Provides:  kde4-akonadi-devel = %epoch:%version-%release

%description  -n %akonadi_devel
This package contains header files needed if you wish to build applications
based on %{upstream_name}

%files -n %akonadi_devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/akonadi.pc
%{_libdir}/cmake/Akonadi

#------------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%cmake_qt4 -DMYSQLD_EXECUTABLE=%_sbindir/mysqld -DCONFIG_INSTALL_DIR=%{_sysconfdir}
%cmake_build

%install
%cmake_install

# We own this as this is present in some packages like korganiser
mkdir -p %buildroot%{_libdir}/%{upstream_name}



%changelog
* Fri Sep 13 2024 wally <wally> 1:1.13.0-30.mga10
+ Revision: 2095478
- rebuild for boost 1.86.0

* Wed Jun 19 2024 wally <wally> 1:1.13.0-29.mga10
+ Revision: 2075349
- rebuild for boost 1.85.0

* Fri Jan 12 2024 wally <wally> 1:1.13.0-28.mga10
+ Revision: 2030548
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 1:1.13.0-27.mga10
+ Revision: 1991453
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 1:1.13.0-26.mga9
+ Revision: 1926484
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 1:1.13.0-25.mga9
+ Revision: 1867263
- rebuild for boost 1.79.0

* Sun Apr 03 2022 umeabot <umeabot> 1:1.13.0-24.mga9
+ Revision: 1841745
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 1:1.13.0-23.mga9
+ Revision: 1762663
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 1:1.13.0-22.mga9
+ Revision: 1744699
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 1:1.13.0-21.mga9
+ Revision: 1722972
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 1:1.13.0-20.mga8
+ Revision: 1666770
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1:1.13.0-19.mga8
+ Revision: 1662012
- rebuild for boost 1.74.0

* Sun May 03 2020 wally <wally> 1:1.13.0-18.mga8
+ Revision: 1578067
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 1:1.13.0-17.mga8
+ Revision: 1544756
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 1:1.13.0-16.mga8
+ Revision: 1483384
- rebuild for boost 1.72.0
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Tue Oct 16 2018 wally <wally> 1:1.13.0-15.mga7
+ Revision: 1321048
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 1:1.13.0-14.mga7
+ Revision: 1298470
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 1:1.13.0-13.mga7
+ Revision: 1184752
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 1:1.13.0-12.mga7
+ Revision: 1178327
- rebuild for boost 1.65

* Sun Sep 17 2017 tv <tv> 1:1.13.0-11.mga7
+ Revision: 1154978
- rebuild with latest boost

* Thu Jan 21 2016 neoclust <neoclust> 1:1.13.0-10.mga6
+ Revision: 926182
- Try to fix requires

* Thu Jan 21 2016 neoclust <neoclust> 1:1.13.0-9.mga6
+ Revision: 926172
- Provides kde4-akonadi-devel

* Mon Dec 28 2015 daviddavid <daviddavid> 1:1.13.0-8.mga6
+ Revision: 916343
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 daviddavid <daviddavid> 1:1.13.0-7.mga6
+ Revision: 883809
- rebuild for new boost 1.59.0

* Thu Jul 30 2015 lmenut <lmenut> 1:1.13.0-6.mga6
+ Revision: 859067
- remove old Obsoletes & duplicated Provides
- restore akonadi qt4
+ neoclust <neoclust>
- Revert to qt4 release

* Fri Jul 17 2015 neoclust <neoclust> 1:5.0.51-0.git3eb41245b3.1.mga6
+ Revision: 854893
- New Snapshot ( KF5 )

* Wed Oct 15 2014 umeabot <umeabot> 1:1.13.0-4.mga5
+ Revision: 745763
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.13.0-3.mga5
+ Revision: 686475
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:1.13.0-2.mga5
+ Revision: 677728
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 lmenut <lmenut> 1:1.13.0-1.mga5
+ Revision: 663099
- Update to 1.13.0

* Mon Jul 14 2014 lmenut <lmenut> 1:1.12.91-1.mga5
+ Revision: 652076
- Update to 1.12.91

* Thu Apr 17 2014 lmenut <lmenut> 1:1.12.1-1.mga5
+ Revision: 615503
- Update to 1.12.1

* Fri Mar 07 2014 neoclust <neoclust> 1:1.11.80-1.mga5
+ Revision: 601014
- New version 1.11.80

* Thu Feb 13 2014 neoclust <neoclust> 1:1.11.0-1.mga5
+ Revision: 590793
- New version 1.11.0

* Sun Feb 09 2014 barjac <barjac> 1:1.10.3-3.mga5
+ Revision: 587058
- rebuild against boost-1.55

* Mon Oct 21 2013 umeabot <umeabot> 1:1.10.3-2.mga5
+ Revision: 539745
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 neoclust <neoclust> 1:1.10.3-1.mga4
+ Revision: 492881
- New version 1.10.3

* Fri Jul 26 2013 sander85 <sander85> 1:1.10.2-1.mga4
+ Revision: 458337
- New version: 1.10.2

* Thu Jul 25 2013 sander85 <sander85> 1:1.10.1-1.mga4
+ Revision: 457951
- New version: 1.10.1

* Thu Jul 11 2013 fwang <fwang> 1:1.10.0-1.mga4
+ Revision: 452860
- new version 1.10.0

* Mon Jun 24 2013 neoclust <neoclust> 1:1.9.80-1.mga4
+ Revision: 446288
- New version

* Sun May 26 2013 neoclust <neoclust> 1:1.9.2-1.mga4
+ Revision: 428353
- New version

* Wed Apr 10 2013 malo <malo> 1:1.9.1-2.mga3
+ Revision: 409437
- rebuild for boost 1.53

* Tue Mar 12 2013 neoclust <neoclust> 1:1.9.1-1.mga3
+ Revision: 402184
- New version

* Fri Jan 11 2013 umeabot <umeabot> 1:1.9.0-2.mga3
+ Revision: 345371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 fwang <fwang> 1:1.9.0-1.mga3
+ Revision: 334489
- new version 1.9.0

* Thu Dec 20 2012 fwang <fwang> 1:1.8.80-1.mga3
+ Revision: 332929
- rebuild for new boost

* Wed Nov 21 2012 mikala <mikala> 1:1.8.80-0.mga3
+ Revision: 320169
- Update tarball to 1.8.80

* Tue Nov 06 2012 mikala <mikala> 1:1.8.1-1.mga3
+ Revision: 314583
- Update tarball to 1.8.1
- Use pkgconfig() for BR
- Enable postgresql support

* Tue Jul 31 2012 fwang <fwang> 1:1.8.0-2.mga3
+ Revision: 276495
- rebuild for new boost

* Wed Jul 25 2012 neoclust <neoclust> 1:1.8.0-1.mga3
+ Revision: 274383
- New version 1.8.0

* Fri Jun 29 2012 shlomif <shlomif> 1:1.7.90-1.mga3
+ Revision: 264891
- Broke up the long description line.
- Remove trailing space
- New version - 1.7.90

* Tue May 29 2012 kamil <kamil> 1:1.7.2-2.mga3
+ Revision: 248956
- rebuild against boost 1.49.0

* Sun Apr 08 2012 mikala <mikala> 1:1.7.2-1.mga2
+ Revision: 229694
- Update tarball to 1.7.2

* Fri Mar 09 2012 fwang <fwang> 1:1.7.1-1.mga2
+ Revision: 222091
- new version 1.7.1

* Tue Jan 24 2012 fwang <fwang> 1:1.7.0-1.mga2
+ Revision: 200640
- new version 1.7.0
+ dmorgan <dmorgan>
- Own %%{_libdir}/%%{name}

* Tue Dec 27 2011 mikala <mikala> 1:1.6.90-1.mga2
+ Revision: 188228
- Remove the dummy package (akonadi-common)
- fix -devel package to follow policy
- Update tarball to 1.6.90
- Fix macro usage

* Mon Nov 28 2011 fwang <fwang> 1:1.6.2-2.mga2
+ Revision: 173537
- rebuild for new boost

* Wed Oct 05 2011 mikala <mikala> 1:1.6.2-1.mga2
+ Revision: 151573
- Update tarball to 1.6.2
- remove %%defattr() & %%clean section

* Sun Sep 18 2011 fwang <fwang> 1:1.6.1-1.mga2
+ Revision: 144806
- new version 1.6.1
- rebuild for new boost

* Mon Jul 11 2011 dmorgan <dmorgan> 1:1.6.0-3.mga2
+ Revision: 122228
- Because of the file move, requires akonadi in the devel package

* Mon Jul 11 2011 dmorgan <dmorgan> 1:1.6.0-2.mga2
+ Revision: 122220
- Those files are needed at runtime

* Mon Jul 11 2011 mikala <mikala> 1:1.6.0-1.mga2
+ Revision: 121981
- Update tarball to 1.6.0
- Reverse previous commit regarding dbus files.

* Thu Jul 07 2011 mikala <mikala> 1:1.5.80-3.mga2
+ Revision: 119627
- Move dbus files from -devel to main package

* Wed Jun 29 2011 mikala <mikala> 1:1.5.80-2.mga2
+ Revision: 115646
- Add a min version for soprano BR
- Update tarball to 1.5.80

* Wed Jun 22 2011 fwang <fwang> 1:1.5.3-2.mga2
+ Revision: 111858
- rebuild for new boost

* Fri Jun 10 2011 mikala <mikala> 1:1.5.3-1.mga2
+ Revision: 103249
- Update tarball to 1.5.3
- Remove old obsoletes & conflicts

* Wed Apr 20 2011 mikala <mikala> 1:1.5.2-2.mga1
+ Revision: 88893
- Use %%config for mysql config files available in /etc/akonadi

* Sun Apr 10 2011 mikala <mikala> 1:1.5.2-1.mga1
+ Revision: 82718
- Update tarball to 1.5.2

* Thu Mar 24 2011 boklm <boklm> 1:1.5.1-2.mga1
+ Revision: 76127
- rebuild for bug #497

* Sat Mar 19 2011 mikala <mikala> 1:1.5.1-1.mga1
+ Revision: 74436
- Upgrade tarball to 1.5.1
- Remove BuildRoot
- Remove Patch0 (was not applied since at least 1.5.0)

* Wed Jan 26 2011 ahmad <ahmad> 1:1.5.0-1.mga1
+ Revision: 39856
- update to 1.5.0

* Thu Jan 13 2011 mikala <mikala> 1:1.4.95-1.mga1
+ Revision: 16351
- imported package akonadi

